# coding: utf-8

# flake8: noqa

"""
    Unity Cloud Build

    This API is intended to be used in conjunction with the Unity Cloud Build service. A tool for building your Unity projects in the Cloud.  See https://developer.cloud.unity3d.com for more information.  ## Making requests This website is built to allow requests to be made against the API. If you are currently logged into Cloud Build you should be able to make requests without entering an API key.   You can find your API key in the Unity Cloud Services portal by clicking on 'Cloud Build Preferences' in the sidebar. Copy the API Key and paste it into the upper left corner of this website. It will be used in all subsequent requests.  ## Clients The Unity Cloud Build API is based upon Swagger. Client libraries to integrate with your projects can easily be generated with the [Swagger Code Generator](https://github.com/swagger-api/swagger-codegen).  The JSON schema required to generate a client for this API version is located here:  ``` [API_URL][BASE_PATH]/api.json ```  ## Authorization The Unity Cloud Build API requires an access token from your Unity Cloud Build account, which can be found at https://build.cloud.unity3d.com/login/me  To authenticate requests, include a Basic Authentication header with your API key as the value. e.g.  ``` Authorization: Basic [YOUR API KEY] ```  ## Pagination Paged results will take two parameters. A page number that is calculated based upon the per_page amount. For instance if there are 40 results and you specify page 2 with per_page set to 10 you will receive records 11-20.  Paged results will also return a Content-Range header. For the example above the content range header would look like this:  ``` Content-Range: items 11-20/40 ```  ## Versioning The API version is indicated in the request URL. Upgrading to a newer API version can be done by changing the path.  The API will receive a new version in the following cases:    * removal of a path or request type   * addition of a required field   * removal of a required field  The following changes are considered backwards compatible and will not trigger a new API version:    * addition of an endpoint or request type   * addition of an optional field   * removal of an optional field   * changes to the format of ids  ## Identifiers It should not be assumed that any of the identifiers used in paths will be a perfect match for your user-entered information. If you see unexpected 403s or 404s from API calls then check your identifiers match the ones used by the API. In particular, `projectId` does NOT typically change when the project is renamed and in fact may not be a direct match for the project name even at initial creation time.  To avoid confusion we recommend that instead of using the human-readable autogenerated orgId and projectId available from the API you should instead use:   * org foreign key for `orgId` (available from project APIs as `orgFk` and org APIs as `coreForeignKey`)   * `guid` for `projectId`  All links generated by the API and the Dashboard should follow this format already, making it easy to figure out the correct parameters by making a comparison.  ## Rate Limiting Requests against the Cloud Build API are limited to a rate of 100 per minute. To preserve the quality of service throughout Cloud Build, additional rate limits may apply to some actions. For example, polling aggressively instead of using webhooks or making API calls with a high concurrency may result in rate limiting.  It is not intended for these rate limits to interfere with any legitimate use of the API. Please contact support at <cloudbuild@unity3d.com> if your use is affected by this rate limit.  You can check the returned HTTP headers for any API request to see your current rate limit status.   * __X-RateLimit-Limit:__ maximum number of requests per minute   * __X-RateLimit-Remaining:__ remaining number of requests in the current window   * __X-RateLimit-Reset:__ time at which the current window will reset (UTC epoch seconds)  Once you go over the rate limit you will receive an error response: ``` HTTP Status: 429 {   \"error\": \"Rate limit exceeded, retry in XX seconds\" } ```   # noqa: E501

    OpenAPI spec version: 1.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

# import apis into sdk package
from .api.builds_api import BuildsApi
from .api.buildtargets_api import BuildtargetsApi
from .api.config_api import ConfigApi
from .api.credentials_api import CredentialsApi
from .api.orgs_api import OrgsApi
from .api.projects_api import ProjectsApi
from .api.public_api import PublicApi
from .api.shares_api import SharesApi
from .api.status_api import StatusApi
from .api.userdevices_api import UserdevicesApi
from .api.users_api import UsersApi
from .api.webhooks_api import WebhooksApi

# import ApiClient
from .api_client import ApiClient
from .configuration import Configuration
# import models into sdk package
from .models.inline_response200 import InlineResponse200
from .models.inline_response2001 import InlineResponse2001
from .models.inline_response20010 import InlineResponse20010
from .models.inline_response20011 import InlineResponse20011
from .models.inline_response20012 import InlineResponse20012
from .models.inline_response2002 import InlineResponse2002
from .models.inline_response2003 import InlineResponse2003
from .models.inline_response2004 import InlineResponse2004
from .models.inline_response2005 import InlineResponse2005
from .models.inline_response2006 import InlineResponse2006
from .models.inline_response2007 import InlineResponse2007
from .models.inline_response2008 import InlineResponse2008
from .models.inline_response2009 import InlineResponse2009
from .models.options import Options
from .models.options1 import Options1
from .models.options10 import Options10
from .models.options2 import Options2
from .models.options3 import Options3
from .models.options4 import Options4
from .models.options5 import Options5
from .models.options6 import Options6
from .models.options7 import Options7
from .models.options8 import Options8
from .models.options9 import Options9
from .models.orgsorgidcredentialssigningandroid_keystore import OrgsorgidcredentialssigningandroidKeystore
from .models.orgsorgidcredentialssigningios_provisioning_profile import OrgsorgidcredentialssigningiosProvisioningProfile
from .models.orgsorgidcredentialssigningosx_certificate import OrgsorgidcredentialssigningosxCertificate
from .models.orgsorgidprojectsprojectidartifactsdelete_builds import OrgsorgidprojectsprojectidartifactsdeleteBuilds
from .models.orgsorgidprojectsprojectidauditlog_lines import OrgsorgidprojectsprojectidauditlogLines
from .models.orgsorgidprojectsprojectidbuildtargets_build_report import OrgsorgidprojectsprojectidbuildtargetsBuildReport
from .models.orgsorgidprojectsprojectidbuildtargets_builds import OrgsorgidprojectsprojectidbuildtargetsBuilds
from .models.orgsorgidprojectsprojectidbuildtargets_credentials import OrgsorgidprojectsprojectidbuildtargetsCredentials
from .models.orgsorgidprojectsprojectidbuildtargets_credentials1 import OrgsorgidprojectsprojectidbuildtargetsCredentials1
from .models.orgsorgidprojectsprojectidbuildtargets_credentials1_signing import OrgsorgidprojectsprojectidbuildtargetsCredentials1Signing
from .models.orgsorgidprojectsprojectidbuildtargets_credentials_signing import OrgsorgidprojectsprojectidbuildtargetsCredentialsSigning
from .models.orgsorgidprojectsprojectidbuildtargets_credentials_signing_credential_resource_ref import OrgsorgidprojectsprojectidbuildtargetsCredentialsSigningCredentialResourceRef
from .models.orgsorgidprojectsprojectidbuildtargets_credentials_signing_credential_resource_ref_certificate import OrgsorgidprojectsprojectidbuildtargetsCredentialsSigningCredentialResourceRefCertificate
from .models.orgsorgidprojectsprojectidbuildtargets_credentials_signing_credential_resource_ref_keystore import OrgsorgidprojectsprojectidbuildtargetsCredentialsSigningCredentialResourceRefKeystore
from .models.orgsorgidprojectsprojectidbuildtargets_credentials_signing_credential_resource_ref_provisioning_profile import OrgsorgidprojectsprojectidbuildtargetsCredentialsSigningCredentialResourceRefProvisioningProfile
from .models.orgsorgidprojectsprojectidbuildtargets_failure_details import OrgsorgidprojectsprojectidbuildtargetsFailureDetails
from .models.orgsorgidprojectsprojectidbuildtargets_last_built import OrgsorgidprojectsprojectidbuildtargetsLastBuilt
from .models.orgsorgidprojectsprojectidbuildtargets_links import OrgsorgidprojectsprojectidbuildtargetsLinks
from .models.orgsorgidprojectsprojectidbuildtargets_project_version import OrgsorgidprojectsprojectidbuildtargetsProjectVersion
from .models.orgsorgidprojectsprojectidbuildtargets_settings import OrgsorgidprojectsprojectidbuildtargetsSettings
from .models.orgsorgidprojectsprojectidbuildtargets_settings_advanced import OrgsorgidprojectsprojectidbuildtargetsSettingsAdvanced
from .models.orgsorgidprojectsprojectidbuildtargets_settings_advanced_android import OrgsorgidprojectsprojectidbuildtargetsSettingsAdvancedAndroid
from .models.orgsorgidprojectsprojectidbuildtargets_settings_advanced_unity import OrgsorgidprojectsprojectidbuildtargetsSettingsAdvancedUnity
from .models.orgsorgidprojectsprojectidbuildtargets_settings_advanced_unity_addressables import OrgsorgidprojectsprojectidbuildtargetsSettingsAdvancedUnityAddressables
from .models.orgsorgidprojectsprojectidbuildtargets_settings_advanced_unity_addressables_content_update_settings import OrgsorgidprojectsprojectidbuildtargetsSettingsAdvancedUnityAddressablesContentUpdateSettings
from .models.orgsorgidprojectsprojectidbuildtargets_settings_advanced_unity_asset_bundles import OrgsorgidprojectsprojectidbuildtargetsSettingsAdvancedUnityAssetBundles
from .models.orgsorgidprojectsprojectidbuildtargets_settings_advanced_unity_editor_user_build_settings import OrgsorgidprojectsprojectidbuildtargetsSettingsAdvancedUnityEditorUserBuildSettings
from .models.orgsorgidprojectsprojectidbuildtargets_settings_advanced_unity_player_exporter import OrgsorgidprojectsprojectidbuildtargetsSettingsAdvancedUnityPlayerExporter
from .models.orgsorgidprojectsprojectidbuildtargets_settings_advanced_unity_player_settings import OrgsorgidprojectsprojectidbuildtargetsSettingsAdvancedUnityPlayerSettings
from .models.orgsorgidprojectsprojectidbuildtargets_settings_advanced_unity_player_settings_android import OrgsorgidprojectsprojectidbuildtargetsSettingsAdvancedUnityPlayerSettingsAndroid
from .models.orgsorgidprojectsprojectidbuildtargets_settings_advanced_xcode import OrgsorgidprojectsprojectidbuildtargetsSettingsAdvancedXcode
from .models.orgsorgidprojectsprojectidbuildtargets_settings_platform import OrgsorgidprojectsprojectidbuildtargetsSettingsPlatform
from .models.orgsorgidprojectsprojectidbuildtargets_settings_scm import OrgsorgidprojectsprojectidbuildtargetsSettingsScm
from .models.orgsorgidprojectsprojectidbuildtargets_test_results import OrgsorgidprojectsprojectidbuildtargetsTestResults
from .models.orgsorgidprojectsprojectidbuildtargetsbuildtargetidbuildsnumbersteps_messages import OrgsorgidprojectsprojectidbuildtargetsbuildtargetidbuildsnumberstepsMessages
